package cn.iocoder.yudao.module.system.service.mqtt;


import cn.iocoder.yudao.module.remote.api.path.RemotePathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class RobotWirelessSignalStatusServiceImpl implements MqttService{

    @Resource
    private RemotePathApi remotePathApi;

    @Override
    public void analysisMessage(String message) {
        log.info("车辆信号上报 :{}",message);
        remotePathApi.wirelessSignalStatus(message);
    }
}
